POST api/mediwaveprogramapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| mediwave_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"duration": 1,
"id": "b9e8fc29-893d-4b22-8bdd-5319d26df937",
"local_id": 1,
"mediwave_id": "e91b044d-2f7a-4e9e-b850-e8ebbd2570a4",
"name": "sample string 4"
}
application/xml, text/xml
Sample:
<mediwave_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>b9e8fc29-893d-4b22-8bdd-5319d26df937</id> <local_id>1</local_id> <mediwave_id>e91b044d-2f7a-4e9e-b850-e8ebbd2570a4</mediwave_id> <name>sample string 4</name> </mediwave_program>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"87a416a8-5b43-44ad-a0ec-ca10a8d081dc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">87a416a8-5b43-44ad-a0ec-ca10a8d081dc</guid>